## atril 1.26.1

=== debian/changelog ===
atril (1.26.1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001-Use-a-blank-line-at-most.patch and 0002-comics-Use-libarchive-to-
      unpack-documents.patch. Use libarchive instead of external command for
      extracing documents (CVE-2023-51698, closes: #1060751).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jan 2024 06:41:57 +0100

atril (1.26.1-3) unstable; urgency=medium

  * debian/patches: Amend typo in 1002-avoid-crash-on-certain-epub-files.patch.
    Regression fix for upload 1.26.1-2.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Jan 2024 07:29:56 +0100

atril (1.26.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1002-avoid-crash-on-certain-epub-files.patch. Avoid crashes when
      opening certain epub files. (Closes: #972715).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Jan 2024 07:09:22 +0100

atril (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + Set libexecdir to /usr/libexec.
  * debian/atril.install:
    + Adjust to new libexecdir.
  * debian/atril-common.doc-base:
    + Add file.debian/atril-common.doc-base: Add file.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Dec 2023 16:48:40 +0100

atril (1.26.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.

  [ Unit 193 ]
  * webkit2gtk-4.1 transition. (Closes: #1022856):
  * debian/patches:
    + Add 1001-webkit2gtk4.1.patch. Transition to webkit2gtk-4.1.
  * debian/control:
    + In B-D, switch from libwebkit2gtk-4.0-dev to libwebkit2gtk-4.1-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 27 Oct 2022 11:00:10 +0200

=== debian/control ===
Source: atril
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               intltool,
               libcaja-extension-dev (>= 1.18),
               libdjvulibre-dev,
               libgail-3-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgxps-dev (>= 0.2.0),
               libkpathsea-dev,
               libpoppler-glib-dev (>= 0.22.0),
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libsynctex-dev,
               libtiff-dev,
               libwebkit2gtk-4.1-dev,
               libx11-dev,
               libxml2-dev,
               libxml2-utils,
               lsb-release,
               mate-common (>= 1.24.0-1~),
               mate-submodules-source (>= 0.0~git20210623.f3091f9),
               xsltproc,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://mate-desktop.org/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/atril
Vcs-Git: https://salsa.debian.org/debian-mate-team/atril.git

Package: atril
Architecture: any
Depends: atril-common (>= ${source:Version}),
         libatrildocument3 (= ${binary:Version}),
         libatrilview3 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: default-dbus-session-bus | dbus-session-bus,
            gvfs,
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer,
Suggests: caja,
          poppler-data,
          unrar,
Breaks: libatrildocument3 (<< 1.13.0),
Replaces: libatrildocument3 (<< 1.13.0),
Description: MATE document viewer
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: atril-common
Architecture: all
Depends: ${misc:Depends},
Breaks: atril (<= 1.0.3-3),
Description: MATE document viewer (common files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libatrilview3
Section: libs
Architecture: any
Depends: libatrildocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libatril (<< 1.9.0),
Description: MATE document viewing library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Atril.

Package: libatrilview-dev
Section: libdevel
Architecture: any
Depends: libatrilview3 (= ${binary:Version}),
         gir1.2-atrilview-1.5.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril-dev (<< 1.9.0),
        atril-common (<< 1.26),
Replaces: libatril-dev (<< 1.9.0),
          atril-common (<< 1.26),
Description: MATE document viewing library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrilview
 library.

Package: libatrildocument3
Section: libs
Architecture: any
Depends: libjs-mathjax,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril (<< 1.9.0),
Replaces: libatril (<< 1.9.0),
Description: MATE document rendering library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Atril.

Package: libatrildocument-dev
Section: libdevel
Architecture: any
Depends: libatrildocument3 (= ${binary:Version}),
         gir1.2-atrildocument-1.5.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatril-dev (<< 1.9.0),
        gir1.2-atril (<< 1.18.3-2~),
        atril-common (<< 1.26),
Replaces: libatril-dev (<< 1.9.0),
          gir1.2-atril (<< 1.18.3-2~),
          atril-common (<< 1.26),
Description: MATE document rendering library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrildocument
 library.

Package: gir1.2-atrildocument-1.5.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gir1.2-atril (<< 1.18.3-2~),
Replaces: gir1.2-atril (<< 1.18.3-2~),
Description: GObject introspection data for libatrildocument
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains introspection data for libatrildocument.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-atrilview-1.5.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gir1.2-atril (<< 1.18.3-2~),
Replaces: gir1.2-atril (<< 1.18.3-2~),
Description: GObject introspection data for libatrilview
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains introspection data for libatrilview.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## atril 1.26.2

=== debian/changelog ===
atril (1.26.2-5) unstable; urgency=medium

  * debian/control:
    + Add more Multi-Arch: fields. Thanks, Multi-Arch Hinter.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Aug 2025 11:31:45 +0200

atril (1.26.2-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-incompat-pointer-type.patch and 0002_simplify-array-
      iteration.patch. Fix FTBFS against GCC-14. (Closes: #1074828).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:32:43 +0100

atril (1.26.2-3) unstable; urgency=medium

  * debian/control:
    + Amend dependencies for time_t64 transition. (Closes: #1067898).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 29 Mar 2024 16:48:21 +0100

atril (1.26.2-2) unstable; urgency=medium

  * debian/control:
    + Drop unrar from S:. (Closes: #1065400).
    + Mention more supported file formats. (Closes: #1067810).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Mar 2024 08:27:24 +0100

atril (1.26.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061924

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 02:22:28 +0000

atril (1.26.2-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-52076: epub: Prevent path traversal when extracting files.
      (Closes: #1061522).
  * debian/patches:
    + Drop 0001-Use-a-blank-line-at-most.patch, 0002-comics-Use-libarchive-to-
      unpack-documents.patch and 1001-webkit2gtk4.1.patch, rebase 1002-avoid-
      crash-on-certain-epub-files.patch.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jan 2024 14:03:41 +0100

=== debian/control ===
--- 
+++ 
@@ -43,9 +43,10 @@
 
 Package: atril
 Architecture: any
+Multi-Arch: foreign
 Depends: atril-common (>= ${source:Version}),
-         libatrildocument3 (= ${binary:Version}),
-         libatrilview3 (= ${binary:Version}),
+         libatrildocument3t64 (= ${binary:Version}),
+         libatrilview3t64 (= ${binary:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -56,13 +57,12 @@
           postscript-viewer,
 Suggests: caja,
           poppler-data,
-          unrar,
 Breaks: libatrildocument3 (<< 1.13.0),
 Replaces: libatrildocument3 (<< 1.13.0),
 Description: MATE document viewer
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  When supported by the document, it also allows searching for text,
  copying text to the clipboard, hypertext navigation, and
@@ -74,29 +74,33 @@
 Breaks: atril (<= 1.0.3-3),
 Description: MATE document viewer (common files)
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains the architecture independent files.
 
-Package: libatrilview3
+Package: libatrilview3t64
+Provides: ${t64:Provides}
+Breaks: libatrilview3 (<< ${source:Version})
 Section: libs
 Architecture: any
-Depends: libatrildocument3 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libatrildocument3t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Replaces: libatril (<< 1.9.0),
+Replaces: libatrilview3, libatril (<< 1.9.0),
 Description: MATE document viewing library
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains the document viewing library used by Atril.
 
 Package: libatrilview-dev
 Section: libdevel
 Architecture: any
-Depends: libatrilview3 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libatrilview3t64 (= ${binary:Version}),
          gir1.2-atrilview-1.5.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -106,31 +110,34 @@
           atril-common (<< 1.26),
 Description: MATE document viewing library (development files)
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains the development files for the libatrilview
  library.
 
-Package: libatrildocument3
+Package: libatrildocument3t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: libjs-mathjax,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libatril (<< 1.9.0),
-Replaces: libatril (<< 1.9.0),
+Breaks: libatrildocument3 (<< ${source:Version}), libatril (<< 1.9.0),
+Replaces: libatrildocument3, libatril (<< 1.9.0),
 Description: MATE document rendering library
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains the document rendering library used by Atril.
 
 Package: libatrildocument-dev
 Section: libdevel
 Architecture: any
-Depends: libatrildocument3 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libatrildocument3t64 (= ${binary:Version}),
          gir1.2-atrildocument-1.5.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -142,8 +149,8 @@
           atril-common (<< 1.26),
 Description: MATE document rendering library (development files)
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains the development files for the libatrildocument
  library.
@@ -151,15 +158,17 @@
 Package: gir1.2-atrildocument-1.5.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends},
+Multi-Arch: same
+Depends: libatrildocument3t64 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: gir1.2-atril (<< 1.18.3-2~),
 Replaces: gir1.2-atril (<< 1.18.3-2~),
 Description: GObject introspection data for libatrildocument
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains introspection data for libatrildocument.
  .
@@ -169,15 +178,17 @@
 Package: gir1.2-atrilview-1.5.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends},
+Multi-Arch: same
+Depends: libatrilview3t64 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: gir1.2-atril (<< 1.18.3-2~),
 Replaces: gir1.2-atril (<< 1.18.3-2~),
 Description: GObject introspection data for libatrilview
  Atril is a simple multi-page document viewer.  It can display
- and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
- Portable Document Format (PDF) files.
+ and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
+ ComicBook and Portable Document Format (PDF) files.
  .
  This package contains introspection data for libatrilview.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DHFLAGS=--parallel
DEB_ATRIL_FLAGS=
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
ifeq ($(shell lsb_release -cs),wheezy)
	DEB_ATRIL_FLAGS=--without-keyring
endif
endif

%:
	dh $@ $(DHFLAGS) --with gir --without autoreconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
	mkdir -p debian/tmp/usr/share/doc/atril/
	mv debian/tmp/usr/share/gtk-doc/html/atril debian/tmp/usr/share/doc/atril/html
	mkdir -p debian/tmp/usr/share/doc/libatrilview-dev/
	mv debian/tmp/usr/share/gtk-doc/html/libatrilview-1.5.0 debian/tmp/usr/share/doc/libatrilview-dev/html
	mkdir -p debian/tmp/usr/share/doc/libatrildocument-dev/
	mv debian/tmp/usr/share/gtk-doc/html/libatrildocument-1.5.0 debian/tmp/usr/share/doc/libatrildocument-dev/html
	dh_install

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	# we need libegg from mate-submodules
	cd cut-n-paste/smclient/; tar xvJf /usr/src/mate-submodules-source.tar.xz
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--enable-gtk-doc \
		--enable-djvu \
		--enable-dvi \
		--enable-t1lib \
		--enable-pixbuf \
		--enable-comics \
		--enable-introspection \
		--disable-silent-rules \
		--disable-static \
		--libexecdir=/usr/libexec \
		$(DEB_ATRIL_FLAGS)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## atril 1.26.2-3build2trisquel0

=== debian/changelog ===
atril (1.26.2-3build2trisquel0) ecne; urgency=medium

  * Test Atril apparmor profile #190

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2024 15:47:00 +0000

atril (1.26.2-3build2) noble; urgency=high

  * No change rebuild against libpoppler-glib8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:40 +0200

atril (1.26.2-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: atril
 Section: x11
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-apparmor,
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                intltool,
@@ -43,7 +45,6 @@
 
 Package: atril
 Architecture: any
-Multi-Arch: foreign
 Depends: atril-common (>= ${source:Version}),
          libatrildocument3t64 (= ${binary:Version}),
          libatrilview3t64 (= ${binary:Version}),
@@ -84,7 +85,6 @@
 Breaks: libatrilview3 (<< ${source:Version})
 Section: libs
 Architecture: any
-Multi-Arch: same
 Depends: libatrildocument3t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -99,7 +99,6 @@
 Package: libatrilview-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libatrilview3t64 (= ${binary:Version}),
          gir1.2-atrilview-1.5.0 (= ${binary:Version}),
          ${misc:Depends},
@@ -120,7 +119,6 @@
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
-Multi-Arch: same
 Depends: libjs-mathjax,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -136,7 +134,6 @@
 Package: libatrildocument-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libatrildocument3t64 (= ${binary:Version}),
          gir1.2-atrildocument-1.5.0 (= ${binary:Version}),
          ${misc:Depends},
@@ -158,7 +155,6 @@
 Package: gir1.2-atrildocument-1.5.0
 Section: introspection
 Architecture: any
-Multi-Arch: same
 Depends: libatrildocument3t64 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
@@ -178,7 +174,6 @@
 Package: gir1.2-atrilview-1.5.0
 Section: introspection
 Architecture: any
-Multi-Arch: same
 Depends: libatrilview3t64 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,9 @@
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
+
+execute_after_dh_install:
+	install -m 0644 -D debian/apparmor-profile debian/atril/etc/apparmor.d/usr.bin.atril
+	install -m 0644 -D debian/apparmor-profile.abstraction debian/atril/etc/apparmor.d/abstractions/atril
+	install -m 0644 -D debian/atril.apport debian/atril/usr/share/apport/package-hooks/source_atril.py
+	dh_apparmor --profile-name=usr.bin.atril -patril

## atril 1.28.2

=== meson_options.txt ===
option('comics',
    type: 'boolean',
    value: false,
    description: 'Support for the comic book (cbr) backend'
)
option('djvu',
    type: 'boolean',
    value: false,
    description: 'Support for the djvu backend'
)
option('dvi',
    type: 'boolean',
    value: false,
    description: 'Support for the dvi backend'
)
option('t1lib',
    type: 'boolean',
    value: false,
    description: 'Compile with t1lib for type1 font support in the dvi backend'
)
option('epub',
    type: 'boolean',
    value: false,
    description: 'Support for the epub backend'
)
option('pdf',
    type: 'boolean',
    value: true,
    description: 'Support for the PDF backend'
)
option('pixbuf',
    type: 'boolean',
    value: false,
    description: 'Support for the generic pixbuf image backend'
)
option('ps',
    type: 'boolean',
    value: false,
    description: 'Support for the PostScript backend'
)
option('tiff',
    type: 'boolean',
    value: true,
    description: 'Support for the tiff backend'
)
option('xps',
    type: 'boolean',
    value: false,
    description: 'Support for the xps backend'
)
option('gtk_unix_print',
    type: 'boolean',
    value: true,
    description: 'Print support'
)
option('keyring',
    type: 'boolean',
    value: true,
    description: 'Keyring support for password-protected documents'
)
option('mathjax-directory',
    type: 'string',
    value: '',
    description: 'Path to the system mathjax installation.'
)
option('previewer',
    type: 'boolean',
    value: true,
    description: 'Build the print previewer program'
)
option('thumbnailer',
    type: 'boolean',
    value: true,
    description: 'Build the thumbnailer program'
)
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('help_files',
    type: 'boolean',
    value: false,
    description: 'Build the help files'
)
option('introspection',
    type: 'boolean',
    value: false,
    description: 'Enable GObject introspection'
)
option('enable_dbus',
    type: 'boolean',
    value: true,
    description: 'Enable D-Bus support'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('enable_debug',
    type: 'boolean',
    value: false,
    description: 'Enable the runtime debugger'
)

option('maintainer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable maintainer mode (extra warnings for deprecated APIs)'
)

=== debian/changelog ===
atril (1.28.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Build-Depends: libmate-desktop-dev
  * Remove obsolete Breaks/Replaces
  * Update gir handling (Closes: #1118787)
  * debian/libatrilview3t64.symbols: Update
  * Simplify debian/rules
  * Remove all patches. Reopens #972715
  * debian/watch: Convert to Version: 5
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Nov 2025 11:55:50 -0500

=== debian/control ===
Source: atril
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-dev (>= 1.16.1.1),
               gir1.2-gdk-3.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0-dev,
               gobject-introspection,
               intltool,
               libcaja-extension-dev (>= 1.18),
               libdjvulibre-dev,
               libgail-3-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgxps-dev (>= 0.2.0),
               libkpathsea-dev,
               libmate-desktop-dev (>= 1.27.2),
               libpoppler-glib-dev (>= 0.22.0),
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libsynctex-dev,
               libtiff-dev,
               libwebkit2gtk-4.1-dev,
               libx11-dev,
               libxml2-dev,
               libxml2-utils,
               lsb-release,
               mate-common (>= 1.24.0-1~),
               mate-submodules-source (>= 0.0~git20210623.f3091f9),
               xsltproc,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://mate-desktop.org/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/atril
Vcs-Git: https://salsa.debian.org/debian-mate-team/atril.git

Package: atril
Architecture: any
Multi-Arch: foreign
Depends: atril-common (>= ${source:Version}),
         libatrildocument3t64 (= ${binary:Version}),
         libatrilview3t64 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: default-dbus-session-bus | dbus-session-bus,
            gvfs,
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer,
Suggests: caja,
          poppler-data,
Description: MATE document viewer
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: atril-common
Architecture: all
Depends: ${misc:Depends},
Description: MATE document viewer (common files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libatrilview3t64
Provides: ${t64:Provides},
Breaks: libatrilview3 (<< ${source:Version}),
Section: libs
Architecture: any
Multi-Arch: same
Depends: libatrildocument3t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libatril (<< 1.9.0),
          libatrilview3,
Description: MATE document viewing library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Atril.

Package: libatrilview-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libatrilview3t64 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: MATE document viewing library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrilview
 library.

Package: libatrildocument3t64
Provides: ${t64:Provides},
Section: libs
Architecture: any
Multi-Arch: same
Depends: libjs-mathjax,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libatrildocument3 (<< ${source:Version}),
Replaces: libatrildocument3,
Description: MATE document rendering library
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Atril.

Package: libatrildocument-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libatrildocument3t64 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: MATE document rendering library (development files)
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains the development files for the libatrildocument
 library.

Package: gir1.2-atrildocument-1.5.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libatrildocument3t64 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: GObject introspection data for libatrildocument
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains introspection data for libatrildocument.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-atrilview-1.5.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libatrilview3t64 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: GObject introspection data for libatrilview
 Atril is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI, EPUB,
 ComicBook and Portable Document Format (PDF) files.
 .
 This package contains introspection data for libatrilview.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

execute_before_dh_install:
	rm -rfv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/lib/*/caja/extensions-2.0/*.la
	rm -rfv debian/tmp/usr/lib/*/atril/3/backends/*.la
	mkdir -p debian/tmp/usr/share/doc/atril/
	mv debian/tmp/usr/share/gtk-doc/html/atril debian/tmp/usr/share/doc/atril/html
	mkdir -p debian/tmp/usr/share/doc/libatrilview-dev/
	mv debian/tmp/usr/share/gtk-doc/html/libatrilview-1.5.0 debian/tmp/usr/share/doc/libatrilview-dev/html
	mkdir -p debian/tmp/usr/share/doc/libatrildocument-dev/
	mv debian/tmp/usr/share/gtk-doc/html/libatrildocument-1.5.0 debian/tmp/usr/share/doc/libatrildocument-dev/html

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	# we need libegg from mate-submodules
	cd cut-n-paste/smclient/; tar xvJf /usr/src/mate-submodules-source.tar.xz
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- \
		--enable-comics \
		--enable-gtk-doc \
		--enable-djvu \
		--enable-dvi \
		--enable-introspection \
		--enable-pixbuf \
		--enable-t1lib \
		--disable-static
